'use strict';

const index$1 = require('../shared/cli.cebce5ac.cjs');
const help = require('../shared/cli.5842d489.cjs');
const index = require('../shared/cli.3e065eec.cjs');
require('tty');

const usage = index.defineRemixCommand({
  meta: {
    name: "help",
    usage: "remix help",
    description: "Show help"
  },
  invoke(_args) {
    const sections = [];
    sections.push(
      `Usage: ${index$1.cyan(`npx remix ${Object.keys(index.commands).join("|")} [args]`)}`
    );
    console.log(sections.join("\n\n") + "\n");
    help.showHelp({});
  }
});

exports.default = usage;
